Name:           tfla-01
Version:        0.5.0
Release:        2.1
License:        GPL
URL: 		http://tfla-01.berlios.de
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group: 	        Productivity/Scientific/Electronics
Summary:        The Fabulous Logic Analyzer
Source0:        http://prdownload.berlios.de/tfla-01/%{name}-%{version}.tar.bz2
Patch0:		tfla-01-Fix-build-in-some-cases-by-including-climits-in-spi..patch
BuildRequires:  qt-devel libieee1284 cmake docbook-xsl-stylesheets
BuildRequires:  gcc-c++ libpng-devel libpng freetype2-devel libxslt

%description
Simple logic analyzer for the PC's parallel port. The schematic which
needs to be attached on the parallel port is included in this installation
package.

Author
------
  Bernhard Walle <bernhard.walle@gmx.de>

%prep
%setup -q
%patch0 -p1

%build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=%{_prefix} .
make

%install
%makeinstall

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
#%doc %{_datadir}/doc/packages/tfla-01
%{_bindir}/*
%{_datadir}/tfla-01
%{_datadir}/pixmaps/*.png

%changelog
* Sun Nov 21 2010 bernhard@bwalle.de
- Fix build with openSUSE 10.2 and later: Add missing include.
* Mon Aug 30 2010 bernhard@bwalle.de
- update to 0.5.0
  o Fix build with old Qt versions.
  o Change channel numbers in the I2C menu.
  o Fix the entry time edit widget for the measuring time.
  o Fix problem that errors during data collection are suppressed on
    non-Windows platforms.
  o Improvements in the I2C analysing code by Jose Aparicio. Add the
    capability to analyse some chips like PCF8574/PCF8574A (I/O
    expander) and DS1307 (RTC).
  o Add a SPI analyzer like it's already there for I2C. Thanks to Kai
    Dorau for the contribution.
  o Make using the protocol analyzers more comfortable and implement
    a generic interface so that new analyzers could be added without
    adding user interface code.
  o Check for updates on startup.
  o Don't rely on the QTDIR environment to find the translations.
  o Also load the Qt translations from the current working
  directory. This enables translations on Windows.
- Build with CMAKE_BUILD_TYPE set to 'Release'.
* Sat May 15 2010 bernhard@bwalle.de
- Fix build with old Qt versions, e.g. SLE_11.
* Sat May 15 2010 bernhard@bwalle.de
- update to 0.4.0
  o Don't need Qt3 support library any more.
* Fri May 14 2010 bernhard@bwalle.de
- update to 0.3.2
  o Fix two crashes when redrawing the view.
* Thu May 13 2010 bernhard@bwalle.de
- update to 0.3.1
  o Improve error handling for system errors.
* Sun Feb 28 2010 bernhard@bwalle.de
- update to 0.3.0
  o Support for saving and restoring data.
  o Simple I2C analyzer, contributed by Jose Aparicio.
  o "Official" Windows binaries.
  o Updated icon set (current Gtk icons).
  o Use Qt4 file dialog, that uses the system file if possible.
  o Possibility to build a view-only versions on systems with no
    libieee1284 like Mac OS.
- Change RPM group to fix rpmlint warning.
- Remove hardcoded library dependencies to fix rpmlint warning.
* Sun Nov 22 2009 bernhard@bwalle.de
- update to 0.2.1
* Sun Jul 13 2008 bwalle@suse.de
- update to 0.1.4
  o implement own polling function for Parport::waitData() because
    the libieee1284-provided polling uses a sleep() between polling,
    so the triggering is less accurate as it could be
  o change timeout of Parport::waitData() to 1 sec
  o check if the parallel port is TRISTATE capable
  o triggering is enabled when the mask is not 0x00 and not when it
    is not 0xff as previously implemented
  o fix wrong "Stop" label (accidentally named was "Start")
  o fix build for gcc 4.3
* Sat Dec 15 2007 bwalle@suse.de
- fix build for gcc 4.3 (upstream svn diff -r56:57)
* Fri Sep 21 2007 bwalle@suse.de
- update to 0.1.3
  o CSV export
  o updated documentation
* Thu Aug 10 2006 bernhard.walle@gmx.de
- should build on SUSE 10.0 now, assistantclient is in qt3-devel-doc
* Mon Aug  7 2006 bernhard.walle@gmx.de
- initial BuildService package
